# Mobile service state

A decision block that checks the mobile service (SIM) state.

If the proceed option is set to Immediately, then check the current mobile service state without pausing the fiber. If set to When changed, then the fiber will pause until the mobile service state has changed.

If no mobile service states is chosen or evaluate to `null`, the current service state is assigned to the output variable without check.

## Options

- Proceed — when the fiber should proceed.

## Input arguments

- Mobile service states — states to check for, default is none.
- Subscription id — id of subscription (SIM) to check, default is the system default subscription.

## Output variables

- Current mobile server state — variable to assign the current mobile service state for subscription.